DummyErasureEncoder (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.erasurecode.coder, class: DummyErasureEncoder

Package org.apache.hadoop.io.erasurecode.coder

# Class DummyErasureEncoder

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.io.erasurecode.coder.ErasureEncoder
org.apache.hadoop.io.erasurecode.coder.DummyErasureEncoder

All Implemented Interfaces:
  `Configurable`, `ErasureCoder`

public class DummyErasureEncoder extends ErasureEncoder
Dummy erasure encoder does no real computation. Instead, it just returns zero bytes. This decoder can be used to isolate the performance issue to HDFS side logic instead of codec, and is intended for test only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DummyErasureEncoder(ErasureCoderOptions options)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ErasureCodingStep`
  `prepareEncodingStep(ECBlockGroup blockGroup)`
  Perform encoding against a block group.

  ### Methods inherited from class org.apache.hadoop.io.erasurecode.coder.ErasureEncoder

  `calculateCoding, getInputBlocks, getNumDataUnits, getNumParityUnits, getOptions, getOutputBlocks, preferDirectBuffer, release`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.conf.Configurable

  `getConf, setConf`

- ## Constructor Details

  - ### DummyErasureEncoder

    public DummyErasureEncoder(ErasureCoderOptions options)

- ## Method Details

  - ### prepareEncodingStep

    protected ErasureCodingStep prepareEncodingStep(ECBlockGroup blockGroup)
    Description copied from class: `ErasureEncoder`
    Perform encoding against a block group.
    Specified by:
      `prepareEncodingStep` in class `ErasureEncoder`
    Parameters:
      `blockGroup` - blockGroup.
    Returns:
      encoding step for caller to do the real work